////////////////////////////////////////////////////////////////////////////////
///
///    Title       : Device File accessor Factory
///
///    Copyright (c) 2007, NHN Co., Ltd. ALL RIGHTS RESERVED
///
///    Team        : Desktop Service Development
///	   Author	   : samtree
///	   Last-Update : 2007-01-02
///
////////////////////////////////////////////////////////////////////////////////
#pragma once

/**
* @group            PCM Base Lib     
* @brief            file accessor factory 
* @date             01/02/2007
* @author           samtree
* @remark          
*/
interface INPFile;
class CNPFileFactory
{
public:
	CNPFileFactory( void );
	~CNPFileFactory( void );

	static	INPFile*	CreateFileObject( LPCTSTR lpszURL );
	/**
	* @brief	close and destroy INPFile
	* @param	pFile	INPFile pointer
	* @return	none
	*/
	static void DestroyFileObject(INPFile* pFile);
};